<?php

namespace domain\Distribution\DistributionRotating;

use domain\_\AbstractManager;
use domain\Distribution\Distribution\Distribution;
use domain\Product\RotatingProduct\RotatingProduct;

class DistributionRotatingManager extends AbstractManager
{
    protected DistributionRotatingBuilder $distributionRotatingBuilder;

    public function loadDependencies(): void
    {
        $this->distributionRotatingBuilder = $this->loadService(DistributionRotatingBuilder::class);
    }

    public function createDistributionRotating(Distribution $distribution, RotatingProduct $rotatingProduct): DistributionRotating
    {
        $distributionRotating = $this->distributionRotatingBuilder->instanciateDistributionRotating();
        $distributionRotating
            ->setDistribution($distribution)
            ->setRotatingProduct($rotatingProduct);
        return $distributionRotating;
    }
}